Package org.springframework.util

# Class PlaceholderResolutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.springframework.util.PlaceholderResolutionException

All Implemented Interfaces:
  `Serializable`

public class PlaceholderResolutionException extends IllegalArgumentException
Thrown when the resolution of placeholder failed. This exception provides the placeholder as well as the hierarchy of values that led to the issue.

Since:
  6.2
Author:
  Stephane Nicoll
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`String`
`getPlaceholder()`
Return the placeholder that could not be resolved.
`List<String>`
`getValues()`
Return a contextualized list of the resolution attempts that led to this exception, where the first element is the value that generated this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getPlaceholder

public String getPlaceholder()
Return the placeholder that could not be resolved.

Returns:
  the unresolvable placeholder

### getValues

public List<String> getValues()
Return a contextualized list of the resolution attempts that led to this exception, where the first element is the value that generated this exception.

Returns:
  the stack of values that led to this exception